폴더 및 강의 목록 조회
curl --request GET \
--url https://docurise.io/api/preview/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://docurise.io/api/preview/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://docurise.io/api/preview/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docurise.io/api/preview/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://docurise.io/api/preview/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://docurise.io/api/preview/folders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://docurise.io/api/preview/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"title": "Onboarding kit",
"kind": "folder",
"parentId": null,
"documentCount": 4,
"itemCount": 6,
"createdAt": "2026-09-20T09:00:00.000Z",
"updatedAt": "2026-09-28T14:30:00.000Z"
},
{
"id": "9c1d7e34-2b6a-4f55-8e0b-5a3c1d9e2f40",
"title": "Notion for founders",
"kind": "course",
"parentId": null,
"documentCount": 0,
"itemCount": 12,
"createdAt": "2026-09-01T09:00:00.000Z",
"updatedAt": "2026-09-01T09:00:00.000Z"
},
{
"id": "5e2a9b17-4c3d-4e8f-a6b1-7d0c2e1f3a98",
"title": "Templates",
"kind": "folder",
"parentId": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"documentCount": 2,
"itemCount": 2,
"createdAt": "2026-09-21T09:00:00.000Z",
"updatedAt": "2026-09-21T09:00:00.000Z"
}
],
"nextCursor": null
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}폴더
폴더 및 강의 목록 조회
폴더와 강의를 항목 수와 함께 조회합니다
GET
/
api
/
preview
/
folders
폴더 및 강의 목록 조회
curl --request GET \
--url https://docurise.io/api/preview/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://docurise.io/api/preview/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://docurise.io/api/preview/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docurise.io/api/preview/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://docurise.io/api/preview/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://docurise.io/api/preview/folders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://docurise.io/api/preview/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"title": "Onboarding kit",
"kind": "folder",
"parentId": null,
"documentCount": 4,
"itemCount": 6,
"createdAt": "2026-09-20T09:00:00.000Z",
"updatedAt": "2026-09-28T14:30:00.000Z"
},
{
"id": "9c1d7e34-2b6a-4f55-8e0b-5a3c1d9e2f40",
"title": "Notion for founders",
"kind": "course",
"parentId": null,
"documentCount": 0,
"itemCount": 12,
"createdAt": "2026-09-01T09:00:00.000Z",
"updatedAt": "2026-09-01T09:00:00.000Z"
},
{
"id": "5e2a9b17-4c3d-4e8f-a6b1-7d0c2e1f3a98",
"title": "Templates",
"kind": "folder",
"parentId": "3b0c8a52-6f1e-4d0a-9a1c-0d8f2f6a7b11",
"documentCount": 2,
"itemCount": 2,
"createdAt": "2026-09-21T09:00:00.000Z",
"updatedAt": "2026-09-21T09:00:00.000Z"
}
],
"nextCursor": null
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retryAfterSeconds": 123,
"details": {}
}
}인증
Settings → Developers에서 발급한 키를 Authorization: Bearer dr_live_<12자리 16진수>_<64자리 16진수> 형태로 전송합니다. 키는 명시적인 범위를
가지며 — 각 엔드포인트에 필요한 범위가 해당 엔드포인트에 명시되어 있습니다. 전체 키는 발급 시점에 딱 한
번만 표시되며 다시 조회할 수 없습니다 — 이후에는 keyId 접두어만 표시됩니다. 폐기된
키는 바로 다음 요청부터 인증에 실패합니다.
쿼리 매개변수
제목에 이 텍스트가 포함된 폴더만 조회합니다(대소문자 구분 없음, 1-100자). 일반 텍스트로 비교하므로 %, _는 와일드카드가 아닙니다. NUL 문자(%00)가 포함되면 VALIDATION_ERROR로 거부됩니다.
Required string length:
1 - 100폴더(folder) 또는 강의(course)만 조회합니다.
사용 가능한 옵션:
folder, course 페이지 크기, 1-100. 기본값 20이며 더 큰 값은 100으로 처리됩니다.
필수 범위:
1 <= x <= 100이 폴더(폴더 id) 바로 안에 있는 폴더만 조회합니다. 최상위 폴더만 보려면 root를 사용하세요. 생략하면 중첩된 폴더를 포함한 모든 폴더와 강의를 조회합니다.
이전 페이지의 nextCursor. 불투명한 값이므로 직접 만들거나 수정하지 마세요. 이 API가 발급하지 않은 커서는 400 INVALID_CURSOR(재시도 불가)를 반환합니다.
Maximum string length:
512